package com.steerinfo.dil.service;

import com.steerinfo.dil.model.AmsContractTransportPrice;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * AmsContractTransportPrice服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-09-06 07:10
 * 类描述
 * 修订历史：
 * 日期：2021-09-06
 * 作者：generator
 * 参考：
 * 描述：AmsContractTransportPrice服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IAmsContractTruckPriceService {
    //新增汽运单价
    int addAmsContractTransportPrice(Map<String,Object> mapValue);
    //获取汽运单价信息
    List<Map<String, Object>> getAmsContractTransportPrice(Map<String,Object> map);
    //通过主键删除汽运单价
    int deleteAmsContractTransportPrice(BigDecimal priceId);
    //获取承运商名称
    List<Map<String, Object>> getCarrierName();
    //获取线路编号
    List<Map<String, Object>> getLineNo();
    //获取运力编号
    List<Map<String, Object>> getCapacityNumber();
    //获取收货地址
    List<Map<String, Object>> getAddressDeliveryAddress(Map<String,Object> map);
    //获取要渲染的信息
    List<Map<String, Object>> selectByPriceId(BigDecimal priceId);
    //通过主键修改汽运单价
    int updateAmsContractTransportPrice(AmsContractTransportPrice amsContractTransportPrice);
    //获取所有的油价
    List<Map<String, Object>> getOriginAndNowOilPrice();
    //油价联动导致运价变动，批量修改运价,同时修改吨公里的数值
    int batchUpdateTransportPriceByOilPrice(Map<String,Object> map);
    //获取货物类型
    List<Map<String,Object>> getCargoName();
    //获取油品名称
    List<Map<String,Object>> getOilTypeName();
    // 边输边查具体地址
    List<Map<String, Object>> getRealAddressByLike(Map<String, Object> map);

    //新增内转汽运单价
    int insertInwardPrice(Map<String, Object> mapValue);

    List<Map<String, Object>> getInwardContractPrice(Map<String, Object> mapValue);

    List<Map<String, Object>> selectInwardPrice(Map<String, Object> mapvalue);

    List<Map<String, Object>> getRangePoint(Map<String, Object> mapValue);

    int insertLineNodePoint(Map<String, Object> map);

    int updatePriceById(Map<String, Object> map);

    int updatePriceByPriceId(Map<String, Object> map);
}